com.hazelcast.config

## Class AbstractXmlConfigHelper

- java.lang.Object
- - com.hazelcast.config.AbstractXmlConfigHelper

- Direct Known Subclasses:
    AbstractConfigBuilder, AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper

      public abstract class AbstractXmlConfigHelper
      extends Object

  Contains Hazelcast XML Configuration helper methods and variables.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `domLevel3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXmlConfigHelper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendToken(StringBuilder builder, StringBuilder token)`
    `static Iterable<Node>` | `asElementIterable(NodeList list)`
    `static Iterable<Node>` | `childElements(Node node)`
    `static String` | `cleanNodeName(Node node)`
    `protected void` | `fillDataSerializableFactories(Node node, SerializationConfig serializationConfig)`
    `protected void` | `fillNativeMemoryConfig(Node node, NativeMemoryConfig nativeMemoryConfig)`
    `protected void` | `fillPortableFactories(Node node, SerializationConfig serializationConfig)`
    `protected void` | `fillProperties(Node node, Map<String,Comparable> properties)`
    `protected void` | `fillProperties(Node node, Properties properties)`
    `protected void` | `fillSerializers(Node node, SerializationConfig serializationConfig)`
    `protected String` | `getAttribute(Node node, String attName)`
    `protected static boolean` | `getBooleanValue(String value)`
    `protected static double` | `getDoubleValue(String parameterName, String value)`
    `protected static double` | `getDoubleValue(String parameterName, String value, double defaultValue)`
    `protected static int` | `getIntegerValue(String parameterName, String value)`
    `protected static int` | `getIntegerValue(String parameterName, String value, int defaultValue)`
    `protected static long` | `getLongValue(String parameterName, String value)`
    `protected static long` | `getLongValue(String parameterName, String value, long defaultValue)`
    `String` | `getNamespaceType()`
    `protected String` | `getReleaseVersion()`
    `protected String` | `getTextContent(Node node)`
    `protected AbstractConfigBuilder.ConfigType` | `getXmlType()`
    `protected boolean` | `hasTextContent(Node node)`
    `protected InputStream` | `loadSchemaFile(String schemaLocation)`
    `protected SerializationConfig` | `parseSerialization(Node node)`
    `protected SocketInterceptorConfig` | `parseSocketInterceptorConfig(Node node)`
    `protected void` | `schemaValidation(Document doc)`
    `protected String` | `xmlToJavaName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### domLevel3

          protected boolean domLevel3

  - ### Constructor Detail

    - #### AbstractXmlConfigHelper

          public AbstractXmlConfigHelper()

  - ### Method Detail

    - #### childElements

          public static Iterable<Node> childElements(Node node)

    - #### asElementIterable

          public static Iterable<Node> asElementIterable(NodeList list)

    - #### getNamespaceType

          public String getNamespaceType()

    - #### getXmlType

          protected AbstractConfigBuilder.ConfigType getXmlType()

    - #### schemaValidation

          protected void schemaValidation(Document doc)
                                   throws Exception

      Throws:
        `Exception`

    - #### loadSchemaFile

          protected InputStream loadSchemaFile(String schemaLocation)

    - #### getReleaseVersion

          protected String getReleaseVersion()

    - #### xmlToJavaName

          protected String xmlToJavaName(String name)

    - #### appendToken

          protected void appendToken(StringBuilder builder,
                                     StringBuilder token)

    - #### getTextContent

          protected String getTextContent(Node node)

    - #### hasTextContent

          protected final boolean hasTextContent(Node node)

    - #### cleanNodeName

          public static String cleanNodeName(Node node)

    - #### getBooleanValue

          protected static boolean getBooleanValue(String value)

    - #### getIntegerValue

          protected static int getIntegerValue(String parameterName,
                                               String value)

    - #### getIntegerValue

          protected static int getIntegerValue(String parameterName,
                                               String value,
                                               int defaultValue)

    - #### getLongValue

          protected static long getLongValue(String parameterName,
                                             String value)

    - #### getLongValue

          protected static long getLongValue(String parameterName,
                                             String value,
                                             long defaultValue)

    - #### getDoubleValue

          protected static double getDoubleValue(String parameterName,
                                                 String value)

    - #### getDoubleValue

          protected static double getDoubleValue(String parameterName,
                                                 String value,
                                                 double defaultValue)

    - #### getAttribute

          protected String getAttribute(Node node,
                                        String attName)

    - #### parseSocketInterceptorConfig

          protected SocketInterceptorConfig parseSocketInterceptorConfig(Node node)

    - #### fillProperties

          protected void fillProperties(Node node,
                                        Properties properties)

    - #### fillProperties

          protected void fillProperties(Node node,
                                        Map<String,Comparable> properties)

    - #### parseSerialization

          protected SerializationConfig parseSerialization(Node node)

    - #### fillDataSerializableFactories

          protected void fillDataSerializableFactories(Node node,
                                                       SerializationConfig serializationConfig)

    - #### fillPortableFactories

          protected void fillPortableFactories(Node node,
                                               SerializationConfig serializationConfig)

    - #### fillSerializers

          protected void fillSerializers(Node node,
                                         SerializationConfig serializationConfig)

    - #### fillNativeMemoryConfig

          protected void fillNativeMemoryConfig(Node node,
                                                NativeMemoryConfig nativeMemoryConfig)

Copyright © 2018. All rights reserved.